### Name: boxcox.nls
### Title: Transform-both-sides Box-Cox transformation
### Aliases: boxcox.nls bcSummary
### Keywords: models nonlinear

### ** Examples


## Fitting log-logistic model without transformation
m1<-nls(rootl~c+(d-c)/(1+(conc/e)^b),data=ryegrass, start=list(b=1,c=0,d=8,e=3))
summary(m1)

## Fitting the same model with optimal Box-Cox transformation
m2 <- boxcox(m1)
summary(m2)

## Fitting the Michaelis-Menten model without self starter
L.minor.m1 <- nls(rate ~ Vm*conc/(K+conc), data = L.minor, start = list(K=20, Vm=120))
boxcox(L.minor.m1)

## Fitting the Michaelis-Menten model with self starter
L.minor.m2 <- nls(rate ~ SSmicmen(conc, Vm, K), data = L.minor)
L.minor.m3 <- boxcox(L.minor.m2)

L.minor.m3$lambda




